Author Topic: help with lisp shortcut  (Read 1888 times)

0 Members and 1 Guest are viewing this topic.

Pad

  • Bull Frog
  • Posts: 342
help with lisp shortcut
« on: September 25, 2015, 08:57:52 AM »
Undet is a third party pointcloud plugin for autocad.

I'm stuck trying to make a shortcut for '_UNDET_EDIT_VIEWSECTION'

If I put _UNDET_EDIT_VIEWSECTION into the command prompt it works fine.   Command: _UNDET_EDIT_VIEWSECTION

put in this lisp
Code - Auto/Visual Lisp: [Select]
  1. (defun c:ve (/)
  2. (_undet_edit_viewsection)
  3. )

then nothing

Command: (_UNDET_EDIT_VIEWSECTION)
; error: no function definition: _UNDET_EDIT_VIEWSECTION


The keyboard shortcut macro is ^C^C_undet_edit_viewsection

I hope that makes sense. Any idea how to make the lisp work?

Thanks
P

Lee Mac

  • Seagull
  • Posts: 12913
  • London, England
Re: help with lisp shortcut
« Reply #1 on: September 25, 2015, 08:59:28 AM »
I'm guessing you've already tried:
Code: [Select]
(defun c:ve nil
    (command "_UNDET_EDIT_VIEWSECTION")
    (princ)
)

Or:
Code: [Select]
(defun c:ve nil
    (vla-sendcommand (vla-get-activedocument (vlax-get-acad-object)) "_UNDET_EDIT_VIEWSECTION ")
    (princ)
)

Pad

  • Bull Frog
  • Posts: 342
Re: help with lisp shortcut
« Reply #2 on: September 25, 2015, 09:13:03 AM »
I knew it would be simple I did try command but must have not got it quite right.
I should be better at this by now  :embarrassed:

Thanks!
P

Lee Mac

  • Seagull
  • Posts: 12913
  • London, England
Re: help with lisp shortcut
« Reply #3 on: September 25, 2015, 10:44:32 AM »
No worries Pad - we've all been there!  :-)